%bcond_with bootstrap

Name:           assertj-core
Version:        3.24.2
Release:        %mkrel 3
Group:          Development/Java
Summary:        Library of assertions similar to fest-assert
License:        Apache-2.0
URL:            https://joel-costigliola.github.io/assertj/
Source0:        https://github.com/joel-costigliola/assertj-core/archive/assertj-build-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.bytebuddy:byte-buddy)
BuildRequires:  mvn(org.hamcrest:hamcrest)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.opentest4j:opentest4j)
%endif

%description
A rich and intuitive set of strongly-typed assertions to use for unit testing
(either with JUnit or TestNG).

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides API documentation for %{name}.

%prep
%setup -q -n assertj-assertj-build-%{version}

%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-enforcer-plugin
%pom_remove_plugin -r :jacoco-maven-plugin
%pom_remove_plugin -r :yuicompressor-maven-plugin
%pom_remove_plugin -r :bnd-maven-plugin
%pom_remove_plugin -r :bnd-resolver-maven-plugin
%pom_remove_plugin -r :bnd-testing-maven-plugin
%pom_remove_plugin -r :nexus-staging-maven-plugin
%pom_remove_plugin -r :license-maven-plugin
%pom_remove_plugin -r :flatten-maven-plugin
%pom_remove_dep -r :mockito-bom
%pom_remove_dep -r :junit-bom

%pom_disable_module assertj-core-kotlin assertj-tests/assertj-integration-tests
%pom_disable_module assertj-core-groovy assertj-tests/assertj-integration-tests

%pom_xpath_inject pom:plugins '
<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-jar-plugin</artifactId>
  <version>any</version>
  <configuration>
    <archive>
      <manifestEntries>
        <Multi-Release>true</Multi-Release>
      </manifestEntries>
    </archive>
  </configuration>
</plugin>' assertj-core

%build
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md CONTRIBUTING.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc CONTRIBUTING.md
%license LICENSE.txt



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.24.2-3.mga10
+ Revision: 2223763
- Mageia 10 Mass Rebuild

* Wed May 22 2024 ns80 <ns80> 3.24.2-2.mga10
+ Revision: 2066007
- rebuild without bootstrap

* Wed May 22 2024 ns80 <ns80> 3.24.2-1.mga10
+ Revision: 2065983
- bootstrap build
+ daviddavid <daviddavid>
- Update to upstream version 3.24.2

* Mon Jul 25 2022 neoclust <neoclust> 3.19.0-3.mga9
+ Revision: 1871011
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 3.19.0-2.mga9
+ Revision: 1870209
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 3.19.0-1.mga9
+ Revision: 1863335
- New version 3.19.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 3.17.2-1.mga9
+ Revision: 1694327
- Update to version 3.17.2

* Fri Sep 04 2020 daviddavid <daviddavid> 3.17.0-1.mga8
+ Revision: 1621970
- Update to version 3.17.0

* Tue Aug 18 2020 daviddavid <daviddavid> 3.16.1-1.mga8
+ Revision: 1614746
- Update to version 3.16.1
- Fix artifact generation by removing antrun plugin again
- Remove profiles from pom.xml

* Sun Feb 16 2020 umeabot <umeabot> 3.8.0-4.mga8
+ Revision: 1536150
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 3.8.0-3.mga8
+ Revision: 1453404
- Remove dependency on memoryfilesystem

* Thu Sep 20 2018 umeabot <umeabot> 3.8.0-2.mga7
+ Revision: 1277616
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 daviddavid <daviddavid> 3.8.0-1.mga7
+ Revision: 1254386
- new version: 3.8.0 (sync with fc29)

* Wed Mar 02 2016 neoclust <neoclust> 2.2.0-3.mga6
+ Revision: 982024
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.2.0-2.mga6
+ Revision: 975449
- First rebuild of the java stack
- sync package assertj-core with fedora
- imported package assertj-core


* Wed Sep 02 2015 Roman Mohr <roman@fenkhuber.at> - 2.2.0-1
- Initial packaging
